Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Timer16Bit.TCNTnRegister

    java.lang.Object
      avrora.sim.RWRegister
          avrora.sim.mcu.Timer16Bit.TCNTnRegister

All Implemented Interfaces:
  ActiveRegister

Enclosing class:
  Timer16Bit

protected class Timer16Bit.TCNTnRegister
extends RWRegister

Overloads the write behavior of this class of register in order to implement compare match blocking for one timer period.

Field Summary

Fields inherited from class avrora.sim.RWRegister
`value`

Constructor Summary
`protected` | `Timer16Bit.TCNTnRegister()`

Method Summary
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.RWRegister
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer16Bit.TCNTnRegister

    protected Timer16Bit.TCNTnRegister()

Method Detail

### write

    public void write(byte val)

  Description copied from class: `RWRegister`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWRegister` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `ActiveRegister`
  Overrides:
    `write` in class `RWRegister`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from class: `RWRegister`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset. For simple `RWRegister` instances, this simply updates the bit in the internally stored value

  Specified by:
    `writeBit` in interface `ActiveRegister`
  Overrides:
    `writeBit` in class `RWRegister`
  Parameters:
    `bit` - the number of the bit to write
    `val` - the value of the bit to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD